org.apache.commons.jelly

## Interface XMLOutputFactory

    public interface XMLOutputFactory

Factory to create an XMLOutput for a given Writer. An instance may be placed in the JellyContext (variable called org.apache.commons.jelly.XMLOutputFactory) so that TagScript will use a custom output instead of the default XMLOutput.createXMLOutput().

Author:
  Alan.Harder@sun.com

### Method Summary

Methods
`XMLOutput` `createXMLOutput(Writer writer, boolean escapeText)`

### Method Detail

#### createXMLOutput

    XMLOutput createXMLOutput(Writer writer,
                            boolean escapeText)

Parameters:
  `Write` - output to this writer
  `escapeText` - is whether or not text output will be escaped. This must be true if the underlying output is XML or could be false if the underlying output is textual.
Returns:
  XMLOutput that will write to given writer